﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace DataTimeToUnixTimeDemo1
{
    /// <summary>
    /// my blog http://ndolson.com
    /// by ndolson
    /// </summary>
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }


        //
        private void button2_Click(object sender, EventArgs e)
        {
            checkBox1.Checked = false;
            if (textBox1.Text.Length != 10)
                return;

            // This is an example of a UNIX timestamp for the date/time 11-04-2005 09:25.
            double timestamp = Convert.ToDouble(textBox1.Text);

            // First make a System.DateTime equivalent to the UNIX Epoch.
            System.DateTime dateTime = new System.DateTime(1970, 1, 1, 0, 0, 0, 0);

            // Add the number of seconds in UNIX timestamp to be converted.
            dateTime = dateTime.AddSeconds(timestamp);

            // The dateTime now contains the right date/time so to format the string,
            // use the standard formatting methods of the DateTime object.
            string printDate = dateTime.ToShortDateString() + " " + dateTime.ToShortTimeString();

            // Print the date and time
            textBox1.Text = Convert.ToString(printDate);
        }


        //
        private void button4_Click(object sender, EventArgs e)
        {
            ConvertToTimestamp();
        }
        /// <summary>
        /// method for converting a System.DateTime value to a UNIX Timestamp
        /// </summary>
        private void ConvertToTimestamp()
        {
            DateTime now = DateTime.Now;
            var epoch = new DateTime(1970, 1, 1, 0, 0, 0, DateTimeKind.Utc);
            textBox1.Text = Convert.ToString(Convert.ToInt64((now - epoch).TotalSeconds));
        }


        private void timer1_Tick(object sender, EventArgs e)
        {
            if (checkBox1.Checked)
            {
                ConvertToTimestamp();
            }
        }
    }
}
